<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
if(!defined("IN_FUSION") || !checkrights("I")) {
	header("Location: ../../index.php");
	exit;
}


// Infusion general information
$inf_title = "awChess";
$inf_description = "Chess Infusion";
$inf_version = "0.3.8";
$inf_developer = "wibix";
$inf_email = "wibix@gmx.de";
$inf_weburl = "http://wibix.de";

$inf_folder = "aw_chess";
$inf_admin_image = "";
$inf_admin_panel = "admin.php";

$inf_link_name = $inf_title;
$inf_link_url = "index.php";

$inf_newtables = 3;
$inf_insertdbrows = 1;
$inf_altertables = 0;
$inf_deldbrows = 0;

$inf_newtable_[1] = "aw_chess (
	id int(11) unsigned NOT NULL auto_increment,
	owner_id smallint(5) unsigned NOT NULL default '0',
	white_id smallint(5) unsigned NOT NULL default '0',
	black_id smallint(5) unsigned NOT NULL default '0',
	white_next enum('Y','N') NOT NULL default 'Y',
	board varchar(64) NOT NULL default '',
	moves text NOT NULL,
	mtime int(10) unsigned NOT NULL default '0',
	ctime int(10) unsigned NOT NULL default '0',
	state char(1) NOT NULL default 'r',
	public char(1) NOT NULL default 'N',
	request_id smallint(5) unsigned NOT NULL default '0',
	request_msg varchar(200) NOT NULL default '',
	PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "aw_chess_settings (
	enabled tinyint(1) unsigned NOT NULL default '1',
	reason text NOT NULL default '',
	max_games tinyint(1) unsigned NOT NULL default '5',
	admin_pm smallint(5) unsigned NOT NULL default '0',
	version varchar(10) NOT NULL default '$inf_version',
	per_page tinyint(1) unsigned NOT NULL default '5'
	player_group tinyint(3) unsigned NOT NULL default '101',
) TYPE=MyISAM;";

$inf_newtable_[3] = "aw_chess_comments (
	id int(11) unsigned NOT NULL auto_increment,
	game_id int(11) unsigned NOT NULL default '0',
	user_id smallint(5) unsigned NOT NULL default '0',
	datestamp int(10) unsigned NOT NULL default '0',
	message text NOT NULL default '',
	PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "aw_chess_settings (admin_pm) VALUES ('0')";

$inf_droptable_[1] = "aw_chess";
$inf_droptable_[2] = "aw_chess_settings";
$inf_droptable_[3] = "aw_chess_comments";

?>
